ghc-7.0.3: The GHC API

CmmSpillReload

# Documentation

data DualLive

Constructors

DualLive |

Fields

on_stack :: RegSet
in_regs :: RegSet

Instances

Outputable DualLive |

dualLiveLattice :: DataflowLattice DualLive

dualLiveTransfers :: BlockId -> BlockSet -> BackwardTransfers Middle Last DualLive

dualLiveness :: BlockSet -> LGraph Middle Last -> FuelMonad (BlockEnv DualLive)

dualLivenessWithInsertion :: BlockSet -> LGraph Middle Last -> FuelMonad (LGraph Middle Last)

availRegsLattice :: DataflowLattice AvailRegs

cmmAvailableReloads :: LGraph Middle Last -> FuelMonad (BlockEnv AvailRegs)

insertLateReloads :: LGraph Middle Last -> FuelMonad (LGraph Middle Last)

removeDeadAssignmentsAndReloads :: BlockSet -> LGraph Middle Last -> FuelMonad (LGraph Middle Last)